import java.awt.Color;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.Graphics;

public class MultiBallWorldFrame extends Frame
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;

    public MultiBallWorldFrame( Color ballColor )
    {
        super();

        setSize ( FrameWidth, FrameHeight );
        setTitle( "Ball World as Panel" );

        Panel ballPanel = new MultiBallWorldPanel( ballColor );
        add( "Center", ballPanel );
    }

    public void paint( Graphics g )
    {
        // nothing needed
    }
}
