import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.GridLayout;

public class MultiBallWorldFrame extends Frame
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;

    private static final Color[] BallColor =
    { Color.green, Color.blue,   Color.cyan,
      Color.gray,  Color.black,  Color.magenta,
      Color.red,   Color.orange, Color.yellow };

    public MultiBallWorldFrame( Color ballColor )
    {
        super();

        setSize ( FrameWidth, FrameHeight*2  );
        setTitle( "Nine Ball Worlds, 3x3" );

        setLayout( new GridLayout(3, 3) );

        for (int i = 0; i < 9; i++)
            add( new MultiBallWorldPanel( BallColor[i] ) );
    }

    public void paint( Graphics g )
    {
        // nothing needed
    }
}
